Support » Plugin: WPC Frequently Bought Together for WooCommerce » Multilanguage Compatibility – Polylang

  • eWallz

    (@archonic08)


    How to make it compatible with polylang? tested the free version but its only showing the main language (en) product in the buy together box for all the language. The main product already changed to other language but not the buy together item.

Viewing 5 replies - 1 through 5 (of 5 total)
  • Plugin Support miemie

    (@miemie)

    Hi @archonic08,

    In order to translate the text in our plugin (or another plugin/theme), you can use the Loco Translate plugin.

    Kindly follow the instructions in this article https://wpclever.net/faqs/plugin-translation to learn how to find the strings in our plugin and provide equivalent translation for translating texts.

    Regards,

    Thread Starter eWallz

    (@archonic08)

    Its not for translation. the issue is the product title,description, etc are not translated to the language of the page. When switching language, the content for this plugin remain in english (main)..

    Thread Starter eWallz

    (@archonic08)

    product page screenshot. Chinese language page.2020 theme
    https://snipboard.io/dG4iP8.jpg
    x-store theme. This product translated fine. But addon product are not.
    https://snipboard.io/vyIaCu.jpg

    issues:
    1. Product name & link are not translated.

    i want to get the pro version if this issue is fixed.

    • This reply was modified 1 month, 1 week ago by eWallz.
    • This reply was modified 1 month, 1 week ago by eWallz.
    Thread Starter eWallz

    (@archonic08)

    Upon further testing. The issue only happened when I select custom product.
    When I set to use Upsell/Crosssell product by default, content translated fine.
    But i dont have the ability to set discount per each product.

    Now, need a way/fix to make the custom product sync with other language version of the same product…

    Plugin Author WPClever

    (@wpclever)

    Hi @archonic08

    Thanks for the clarify!

    Seem we need to use “Polylang for WooCommerce” but we don’t have it. Could you please give us a staging environment (with the same configuration of your site) then we’ll work on it? If yes, please contact us via Support Forum on our website.

Viewing 5 replies - 1 through 5 (of 5 total)
  • You must be logged in to reply to this topic.